/*
  Name: global.h
  Author: Master Lenman
  Project: SpeedHack 2009
  Date: 09.07.2009
  Description: This file contains the global class,
	  that contains all globally accessible variables
*/

#ifndef HEADER_GLOBALS
#define HEADER_GLOBALS

#include <allegro.h>

class globals
{
private:
	//Loads values from a file
	void load();

public:
//Functions:
	//Constructor
	globals() { }

	//Destructor
	void unload();

	//Initialises some variables and calls the load function
	void init();

	//Saves the values to a file
	void save();

	//Toggles between fullscreen and windowed mode
	void toggleMode();

//Variables:
	//Current graphicsmode (windowed/fullscreen)
	int curmode;
	//Shall vsync be used?
	bool vsync;

	//DoubleBuffer, to make the game run smoother
	BITMAP *doublebuffer;
	
	//Background for all the menues
	BITMAP *mainmenu;

	//Fonts
	FONT *size8, *size12, *size12bold, *size16, *size20;

	//Controls
	int keyLeft, keyRight, keyUp, keyDown, keyStrafe,
		keyShoot, keyChangeWeapon, keyMedipack;

	//Is set to true if the settings file was created
	bool firstTime;

	//Screenshot count
	int shotnumber;
};

extern globals global;

namespace colors
{
	extern int white, red, green, blue, black, yellow, pink, cyan;
};

extern const float Pi;

#endif
