/*
  Name: keyStatesClass.h
  Author: Master Lenman
  Project: SpeedHack 2009
  Date: 09.07.2009
  Description: This class allows to get the state of a key,
	  but you cannot hold down the key
*/

#ifndef KEYSTATES_CLASS
#define KEYSTATES_CLASS

#include <string>

class keyStatesClass
{
private:
	//Key array to save the keystates
	int pressedKeys[KEY_MAX];

	int getKey(int i);
public:
	keyStatesClass();
	int operator[](int id);
	void resetAll();
	void setState(int id, int value);
	bool anyKey();
};

int getKeyByName(const std::string &name);

int getKeyByName(const std::string &name, const int &defaultValue);

extern keyStatesClass keyStates;

extern const std::string keyNames[KEY_MAX];

#endif
